Loading...
Searching...
No Matches
scu.h File Reference

general Service Class User (SCU) class More...

## Classes

class | QRResponse
| Base class for C-FIND, C-MOVE and C-GET responses. More...
class | RetrieveResponse
| Base class representing for single C-GET or C-MOVE response. More...
class | DcmSCU
| Base class for implementing DICOM Service Class User functionality. More...
struct | DcmSCU::DcmSCUPresContext
| Defines presentation context, consisting of one abstract syntax name and a list of transfer syntaxes for this abstract syntax. More...

## Enumerations

enum | DcmCloseAssociationType { DCMSCU_RELEASE_ASSOCIATION , DCMSCU_ABORT_ASSOCIATION , DCMSCU_PEER_REQUESTED_RELEASE , DCMSCU_PEER_ABORTED_ASSOCIATION }
| Different types of closing an association. More...
enum | DcmStorageMode { DCMSCU_STORAGE_IGNORE , DCMSCU_STORAGE_DISK , DCMSCU_STORAGE_BIT_PRESERVING }
| Storage mode used for DICOM objects received via C-STORE. More...

## Detailed Description

general Service Class User (SCU) class

## Enumeration Type Documentation

## DcmCloseAssociationType

enum DcmCloseAssociationType

Different types of closing an association.

Enumerator
DCMSCU_RELEASE_ASSOCIATION | Release the current association.
DCMSCU_ABORT_ASSOCIATION | Abort the current association.
DCMSCU_PEER_REQUESTED_RELEASE | Peer requested release (Aborting).
DCMSCU_PEER_ABORTED_ASSOCIATION | Peer aborted the association.

## DcmStorageMode

enum DcmStorageMode

Storage mode used for DICOM objects received via C-STORE.

Enumerator
DCMSCU_STORAGE_IGNORE | Ignore any objects received via C-STORE.
DCMSCU_STORAGE_DISK | Try to store the objects to disk.
DCMSCU_STORAGE_BIT_PRESERVING | Try to store to disk in bit-preserving mode. This is especially useful for huge files that cannot fully be received in memory since the data is directly streamed to disk. Originally, this was introduced for DICOM signatures which can be kept valid this way.

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0